# int::to-string

[This is preliminary documentation and subject to change.]

Converts the specified Int32 to its equivalent string representation.

### Usage

`string int::to-string(value)`

### Parameters

Name | Type | Description
--- | --- | ---
value | int | A Int32 to convert.

### Return Value

The string representation of value, consisting of a negative sign if the value is negative, and a sequence of digits ranging from 0 to 9 with no leading zeroes.

### Remarks

value is formatted with the NumberFormatInfo for the invariant culture.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)